# Generated from health_clinic_scraper-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name health_clinic_scraper

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: The framework of the gem is in CLI, Scraper and Provider classes with a Printer module. The CLI class initiates the user interaction and is responsible for interpreting user input and initiating the Scraper class. The Scraper class is responsible fir scraping the given website and instantiating Provider objects. The provider class is responsible for Provider objects each instance of has instance variables that account for the Provider attributes, such as name, qualifications, etc. The Printer module is responsible for outputting messages to the user, it contains methods such as “Main Menu” and “Warning Message
License: MIT
URL: https://github.com/alekvuka/health_clinic_scraper
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Scraping a health clinic website and organizing its providers/doctors.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/run
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.4-1
- Initial package
